Bug 837761 - [Doc] Inaccurate description about force option in change-media help
[Doc] Inaccurate description about force option in change-media help
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Gunannan Ren
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 03:16 EDT by hongming
Modified: 2013-02-21 02:18 EST (History)
9 users (show)

See Also:
Fixed In Version: libvirt-0.10.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:18:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hongming 2012-07-05 03:16:26 EDT
Description of problem:
The force option in virsh change-media help page isn't  correctly described. 

Version-Release number of selected component (if applicable):
libvirt-0.9.13-2.el6.x86_64

How reproducible:
100% 

Steps to Reproduce:
1. # virsh help change-media

 --force         force media insertion  (it is not only for force media insertion  but also for force media changing )


2. #man virsh
 
The --force option can be used to force media changing.
 

3.  # virsh change-media qed-rhel6.3 hdd --eject --force
succeeded to complete action eject on media
 
# virsh change-media qed-rhel6.3 hdd /var/lib/libvirt/images/aaa.iso --update --force
succeeded to complete action update on media

  
Actual results:


Expected results:


Additional info:
Comment 2 Dave Allan 2012-07-06 14:50:42 EDT
Yeah, agreed that it should read:

    --force          force operation
Comment 3 Gunannan Ren 2012-08-31 06:20:11 EDT
commit c3e7245af5e8b07c7f3d4c6548b10f0f2227f9e5
Author: Guannan Ren <gren@redhat.com>
Date:   Fri Aug 31 17:58:44 2012 +0800

    doc: update option force to subcommand change-media
    
    BZ: https://bugzilla.redhat.com/show_bug.cgi?id=837761
Comment 5 yuping zhang 2012-09-03 02:08:07 EDT
Verified this issue with libvirt-0.10.1-1.el6.x86_64.

# virsh help change-media
  NAME
    change-media - Change media of CD or floppy drive

  SYNOPSIS
    change-media <domain> <path> [<source>] [--eject] [--insert] [--update] [--current] [--live] [--config] [--force]

  DESCRIPTION
    Change media of CD or floppy drive.

  OPTIONS
    [--domain] <string>  domain name, id or uuid
    [--path] <string>  Fully-qualified path or target of disk device
    [--source] <string>  source of the media
    --eject          Eject the media
    --insert         Insert the media
    --update         Update the media
    --current        can be either or both of --live and --config, depends on implementation of hypervisor driver
    --live           alter live configuration of running domain
    --config         alter persistent configuration, effect observed on next boot
    --force          force media changing <=================== updated.

So change the bug status to VERIFIED.
Comment 6 errata-xmlrpc 2013-02-21 02:18:54 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.